POST
/describeStream
http://kinesisvideo.{region}.amazonaws.com/describeStreamReturns the most current information about the specified stream. You must specify either the <code>StreamName</code> or the <code>StreamARN</code>.
Access Token Required: API Key
Body Params
StreamARNstring
The Amazon Resource Name (ARN) of the stream.
StreamNamestring
The name of the stream.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request POST \2 --url 'http://kinesisvideo.{region}.amazonaws.com/describeStream' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}